name: Button
props:
  type: object
  required:
    - type
  properties:
    type:
      type: string
      title: Type
      description: "The type of button to render"
      # The enum directive restricts the possible values in the element to our list.
      enum: ['primary', 'secondary', 'danger']
    link:
      type: boolean
      title: Link type
      description: If true, output anchor element, else button.
    uri:
      type: string
      title: Uri destination
      description: The destination for the button.
    text:
      type: string
      title: Text
      description: The text for the button.
